package com.zcloud.service.study.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.study.TempStudyMapper;
import com.zcloud.service.study.TempStudyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：临时学习任务
 * 作者：luoxiaobao
 * 时间：2022-05-18
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class TempStudyServiceImpl implements TempStudyService{

	@Autowired
	private TempStudyMapper tempstudyMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		tempstudyMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		tempstudyMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		tempstudyMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return tempstudyMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllbyId(PageData pd)throws Exception{
		return tempstudyMapper.listAllbyId(pd);
	}
	public List<PageData> listAll(PageData pd)throws Exception{
		return tempstudyMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return tempstudyMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		tempstudyMapper.deleteAll(ArrayDATA_IDS);
	}

}

